comp.modt {DEDS} | R Documentation

## Computing Moderated t-statistics for Differential Expression

### Description

`comp.modt` returns a function of one argument with bindings for `L`. This function accepts a microarray data matrix as its single argment, when evaluated, computes moderated t-statistics by emprical Bayes shrinkage of the standard error toward a common value.

### Usage

    comp.modt(L = NULL)

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.

### Details

The function returned by `comp.modt` computes moderated t statistics for the assessment of differential expression. It interfaces to a C function. `comp.stat` is another function that wrapps around the same C function that could be used for computing moderated t statistics. For details of moderated statistics, see Smyth (2003).

### Value

`comp.modt` returns a function (F) with the bindings for `L`. The function F when supplied with a microarray data matrix and evaluated will return a numeric vector of moderated t statistics for each row of the matrix.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### References

Lönnstedt, I. and Speed, T. P. (2002). Replicated microarray data. Statistica Sinica 12, 31-46.

Smyth, G. K. (2003). Linear models and empirical Bayes methods for assessing differential expression in microarray experiments. http://www.statsci.org/smyth/pubs/ebayes.pdf

### See Also

`comp.FC`, `comp.t`.

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    tmod <- comp.modt(L)
    tmod.X <- tmod(X)

    # Another way of computing moderated t statistics
    tmod.X <- comp.stat(X, L, "modt")

[Package DEDS version 1.6.0 Index]